<?

include 'connect.php';

switch($_GET['act'])
{
//Создание альбома ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
case 'add_album':
if($u['id']){
      if (isset($_POST['submit']) and isset($_POST['name'])) {
	  //Проверяем на флуд
      $flood = mysql_query("SELECT `time` FROM `photos_albums` WHERE `user` = '".$u['id']."' AND `time` > '" . (time() - 3) . "'");
      if (mysql_num_rows($flood)) {
      header ("Location: photos.php");
      exit;
	  }
	  $priv = num($_POST['priv']);
      $name = check(substr($_POST['name'], 0, 100));
	  $descr = check(substr($_POST['descr'], 0, 250));
      mysql_query("INSERT INTO `photos_albums` SET
      `name` = '$name',
	  `descr` = '$descr',
	  `user` = '".$u['id']."',
	  `time` = '".time()."',
	  `priv` = '$priv'
      ");
	  $id = mysql_insert_id();
      header ("Location: photos.php?act=album&id=$id");
      } else {
	  $title = $title.' | Фотографии';
      include 'head.php';
      echo '<div class="title"><img src= "img/photos.gif"> Фотографии | Создание альбома</div>';
      echo '<div class="subtitle">';
      echo '<a href = "photos.php">К альбомам</a>';
      echo '</div>';
      echo '<div class="main_menu">';
      echo '<form action=photos.php?act=add_album method=post>';
      echo 'Название: <br/><input type=text name=name maxlength=25><br/>';
      echo 'Описание: <br/><textarea cols="20" rows="2" name="descr"></textarea><br/>';
      echo 'Доступен: <br/><select name="priv">
      <option value="0">Всем</option>
      <option value="1">Друзьям</option>
      <option value="2">Только мне</option>
      </select><br/>';
      echo '<input type=submit name =submit class=btn value=Создать class=submit white/ ></form>';
      echo '</form>';
      echo '</div>';
      include 'foot.php';
	  }
} else {
header ("Location: index.php");
}
break;

//Загрузка фотографий ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
case 'add_photo':
if($u['id']){
if(isset($_GET['id'])){
$id=num($_GET['id']);
$req = mysql_query("SELECT * FROM `photos_albums` WHERE `id` = '$id' and `user` = '".$u['id']."' LIMIT 1");
   if (mysql_num_rows($req)) {
   $album = mysql_fetch_assoc($req);
   }
}
if($album){
$_POST['name'] = check(substr($_POST['name'], 0, 100));
      if (isset($_POST['submit']) && isset($_POST['name']) && isset($_FILES['photo']['tmp_name'])) {
	  //Проверяем на флуд
      $flood = mysql_query("SELECT `time` FROM `photos_photo` WHERE `user` = '".$u['id']."' AND `time` > '" . (time() - 3) . "'");
      if (mysql_num_rows($flood)) {
      header ("Location: photos.php");
      exit;
      }
$name = check(substr($_POST['name'], 0, 100));
$descr = check(substr($_POST['descr'], 0, 250));
$top = num($_POST['top']);
   //Получаем информацию об изображении
   $info = getimagesize($_FILES['photo']['tmp_name']); 
   //Создаем картинку в соответствии с ее типом
        if($info['mime']=='image/jpeg'){
        $create=imagecreatefromjpeg($_FILES['photo']['tmp_name']);
        } else {
           if($info['mime']=='image/gif'){
           $create=imagecreatefromgif($_FILES['photo']['tmp_name']);
           } else {
	          if($info['mime']=='image/png'){
              $create=imagecreatefrompng($_FILES['photo']['tmp_name']);
              } else { 
		      header ("Location: photos.php");
		      exit;
		      }
           }
        }
	
	//Ищем папку пользователя, если нет создаем
   $arhiv =  intval(($u['id']/1000)+1);
if(!is_dir('base/'.$arhiv.'/'.$u['id'].'/photos') || !is_dir('base/'.$arhiv.'/'.$u['id'].'/photos_small')){
   if(!is_dir('base/'.$arhiv.'')){
   @mkdir("base/".$arhiv."", 0777);
   }
   if(!is_dir('base/'.$arhiv.'/'.$u['id'].'')){
   @mkdir("base/".$arhiv."/".$u['id']."", 0777);
   }
   if(!is_dir('base/'.$arhiv.'/'.$u['id'].'/photos')){
   @mkdir("base/".$arhiv."/".$u['id']."/photos", 0777);
   }
   if(!is_dir('base/'.$arhiv.'/'.$u['id'].'/photos_small')){
   @mkdir("base/".$arhiv."/".$u['id']."/photos_small", 0777);
   }
}

   //Получаем уменьшенный размер
   $w=$info[0];
   $h=$info[1];
if($w > 500 || $h > 500){
   if($w>$h){
   $o=$w/$h;
   $ww=$w/500;
   $w=$w/$ww;
   $hh=$h/(500/$o);
   $h=$h/$hh;
   } else {
   $o=$h/$w;
   $hh=$h/500;
   $h=$h/$hh;
   $ww=$w/(500/$o);
   $w=$w/$ww;
   }
   }
     //Создаем изображение с рассчитанными размерами
     $img=imagecreatetruecolor($w,$h);
     //Уменьшаем исходное изображение
     imagecopyresampled($img,$create,0,0,0,0,$w,$h,$info[0],$info[1]);
	 
	 //Запросы в базу
	 mysql_query("INSERT INTO `photos_photo` SET
		`name` = '$name',
        `descr` = '$descr',
		`user` = '".$u['id']."',
		`time` = '".time()."',
		`album` = '$id',
		`top` = '$top'
		");

	  
	 $idp = mysql_insert_id();
     $dir = 'base/'.$arhiv.'/'.$u['id'].'/photos/'.$idp.'.jpg';
     imagejpeg($img,$dir,75);

	 
	 //Получаем уменьшенный размер (для маленькой фотки)
   $w=$info[0];
   $h=$info[1];
if($w > 150 || $h > 150){
   if($w>$h){
   $o=$w/$h;
   $ww=$w/150;
   $w=$w/$ww;
   $hh=$h/(150/$o);
   $h=$h/$hh;
   } else {
   $o=$h/$w;
   $hh=$h/150;
   $h=$h/$hh;
   $ww=$w/(150/$o);
   $w=$w/$ww;
   }
   }

   //Создаем изображение с рассчитанными размерами
   $img=imagecreatetruecolor($w,$h);
   //Уменьшаем исходное изображение
   imagecopyresampled($img,$create,0,0,0,0,$w,$h,$info[0],$info[1]);

	  //Путь для сохранения
      $name = $name;
      $dir = 'base/'.$arhiv.'/'.$u['id'].'/photos_small/'.$idp.'.jpg';
      imagejpeg($img,$dir,75);
	 
	 
	 
	 //Освобождаем память
	 imagedestroy($img);
      header ("Location: photos.php?act=photo&id=$idp");
      } else {
	  $title = $title.' | Фотографии';
      include 'head.php';
      echo '<div class="title"><img src= "img/photos.gif"> Фотографии | Загрузка фотографии</div>';
      echo '<div class="subtitle">';
      echo '<a href = "photos.php">К альбомам</a>';
      echo '</div>';
      echo '<div class="main_menu">';
      echo 'Альбом: <a href = "photoalbums.php?act=album&id='.$album["id"].'"><b>'.checkout($album["name"]).'</b></a><br/><hr>';
      //Блоки ввода
      echo '<form action=photos.php?act=add_photo&id='.$id.' method=post enctype=multipart/form-data>';
      echo 'Фото: <br/><input type=file name=photo SIZE=15><br/>';
      echo 'Название: <br/><input type=text name=name maxlength=25><br/>';
      echo 'Описание: <br/><textarea cols="20" rows="2" name="descr" maxlength="250"></textarea><br/>';
	  echo '<input name="top" type="checkbox" value="1">&nbsp;Учавствовать в ТОПе<br/>';
      echo '<input type=submit name =submit class=btn value=Загрузить  class=submit white/></form>';
      echo '</form>';
      echo '</div>';
      include 'foot.php';
	  }
} else {
header ("Location: photos.php");
}
} else {
header ("Location: index.php");
}
break;

//Просмотр альбома ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
case 'album':
//Если id получен 
if(isset($_GET['id'])){
$id=num($_GET['id']);
$req = mysql_query("SELECT * FROM `photos_albums` WHERE `id` = '$id' LIMIT 1");
   if (mysql_num_rows($req)) {
   $album = mysql_fetch_assoc($req);
   }
}
//Если существует
if ($album){
$arhiv =  intval(($album['user']/1000)+1);
$name_album = checkout($album['name']);
$title = $title.' | Фотографии';
include 'head.php';
echo '<div class="title"><img src= "img/photos.gif"> '.$name_album.'</div>';
echo '<div class="subtitle">';
echo '<a href = "photos.php?id='.$album['user'].'">К альбомам</a>';
echo '</div>';
if($album['user'] == $u['id']) echo '<div class="subtitle"><a href = "photos.php?act=add_photo&id='.$album['id'].'">Загрузить фото</a></div>';
echo '<div class="main_menu">';

$all = mysql_result(mysql_query("SELECT COUNT(*) FROM `photos_photo` WHERE `album` = '".$album['id']."'"), 0);
if($all > 0){
$total = intval(($all - 1) / 25) + 1;
$page = num($_GET['page']);
if(empty($page) or $page < 0) $page = 1; 
if($page > $total) $page = $total;
$start = $page * 25 - 25;
$result = mysql_query("SELECT * FROM `photos_photo` WHERE `album` = '".$album['id']."' ORDER BY `id` DESC LIMIT $start, 15");
   while($photo = mysql_fetch_assoc($result)){
	  //Вывод
	  echo $i % 2 ? '<div class="block2">' : '<div class="block1">';
	  $descr = checkout($photo['descr']);
      echo '<table>
      <tr>
      <td VALIGN=top>';
	  echo '<a href = "photos.php?act=photo&id='.$photo['id'].'"><img src = "base/'.$arhiv.'/'.$album['user'].'/photos_small/'.$photo['id'].'.jpg" height = "50" ></a>';
	  echo '</td>
	  <td VALIGN=top>';
	  echo '<img src = "img/photos.gif"> <a href = "photos.php?act=photo&id='.$photo['id'].'">Просмотр</a> <br/><img src = "img/time.png"> ('.vremya($photo['time']).')';
	  echo '<br/><font color = "#000000">';
	  smiles($descr);
	  echo '</font><br/>';
	  if ($photo['user'] == $u['id']) { echo '<a href = "photos.php?act=edit_photo&id='.$photo['id'].'"><img src = "img/edit.gif"></a> | <a href = "photos.php?act=delete_photo&id='.$photo['id'].'"><img src = "img/delete.gif"></a>'; }
	  echo '</td>
      </tr>
      </table>';
	  echo '<hr>';
      echo '</div>';
	  $i++;
   } 
   navigation($page, $total,'photo.php?act=album&id='.$album['id'].'&');
}else{
echo 'Фотографий пока нет!';
}
echo '</div>';
include 'foot.php';
} else {
header ("Location: photos.php");
}
break;

//Редактирование альбома ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
case 'edit_album':
if($u['id']){
if(isset($_GET['id'])){
$id=num($_GET['id']);

if($u['admin'] == 1) $req = mysql_query("SELECT * FROM `photos_albums` WHERE `id` = '$id' LIMIT 1");
else $req = mysql_query("SELECT * FROM `photos_albums` WHERE `id` = '$id' AND `user` = '".$u['id']."' LIMIT 1");

   if (mysql_num_rows($req)) {
   $album = mysql_fetch_assoc($req);
   }
}
if($album){
$title = $title.' | Фотографии';
include 'head.php';
echo '<div class="title"><img src= "img/photos.gif"> Фотографии | Редактирование альбома</div>';
echo '<div class="subtitle">';
echo '<a href = "photos.php">К альбомам</a>';
echo '</div>';
echo '<div class="main_menu">';
      if (isset($_POST['submit']) and isset($_POST['name'])) {
      $name = check(substr($_POST['name'], 0, 100));
	  $descr = check(substr($_POST['descr'], 0, 250));
	  $priv = num($_POST['priv']);
      mysql_query("UPDATE `photos_albums` SET
      `name` = '$name',
	  `descr` = '$descr',
	  `priv` = '$priv'
      WHERE `id` = '$id'
      ");
      echo '<div class = "action">Изменения сохранены!</div>';
	  $album = mysql_fetch_assoc(mysql_query("SELECT * FROM `photos_albums` WHERE `id` = '$id' LIMIT 1"));
      }
      $name = checkout($album['name']);
	  $descr = checkout($album['descr']);
	   echo '<form action=photos.php?act=edit_album&id='.$id.' method=post>';
      echo 'Название: <br/><textarea cols="20" rows="1" name="name">'.$name.'</textarea><br/>';
      echo 'Описание: <br/><textarea cols="20" rows="2" name="descr">'.$descr.'</textarea><br/>';
      echo 'Доступен: <br/><select name="priv">
      <option value="0" ' . ($album["priv"] == 0 ? ' selected="selected"' : '') . '>Всем</option>
      <option value="1" ' . ($album["priv"] == 1 ? ' selected="selected"' : '') . '>Друзьям</option>
      <option value="2" ' . ($album["priv"] == 2 ? ' selected="selected"' : '') . '>Только мне</option>
      </select><br/>';
      echo '<input type=submit name =submit value=Сохранить class=submit white/ ></form>';
      echo '</form>';
echo '</div>';
include 'foot.php';
} else {
header ("Location: photos.php");
}
} else {
header ("Location: index.php");
}
break;

//Удаление альбома ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
case 'delete_album':
if($u['id']){
if(isset($_GET['id'])){
$id=num($_GET['id']);

if($u['admin'] == 1) $req = mysql_query("SELECT * FROM `photos_albums` WHERE `id` = '$id' LIMIT 1");
else $req = mysql_query("SELECT * FROM `photos_albums` WHERE `id` = '$id' AND `user` = '".$u['id']."' LIMIT 1");

   if (mysql_num_rows($req)) {
   $album = mysql_fetch_assoc($req);
   }
}
if($album){
$title = $title.' | Фотографии';
include 'head.php';
echo '<div class="title"><img src= "img/photos.gif"> Фотографии | Удаление альбома</div>';
echo '<div class="subtitle">';
echo '<a href = "photos.php">К альбомам</a>';
echo '</div>';
echo '<div class="main_menu">';
      if (isset($_POST['submit'])) {
	  $result =mysql_query("SELECT `id` FROM `photos_photo` WHERE `album` = '".$album['id']."'");
	  $arhiv =  intval(($album['user']/1000)+1);
      while ($row = mysql_fetch_assoc($result)) {
      unlink('base/'.$arhiv.'/'.$album['user'].'/photos_small/'.$row['id'].'.jpg');
	  unlink('base/'.$arhiv.'/'.$album['user'].'/photos/'.$row['id'].'.jpg');
	  mysql_query("DELETE FROM `photos_comm` WHERE `photo` = '".$row['id']."'");
	  mysql_query("DELETE FROM `photos_ocenka` WHERE `photo` = '".$row['id']."'");  
      }
	  mysql_query("DELETE FROM `photos_photo` WHERE `album` = '".$album['id']."'");
	  mysql_query("DELETE FROM `photos_albums` WHERE `id` = '".$album['id']."'");
      echo '<div class = "action">Альбом успешно удален!</div>';
      } else {
      $name = checkout($album['name']);
	  echo 'Вы уверены, что хотите удалить альбом <a href = "photos.php?act=album&id='.$id.'">'.$name.'</a> и все находящиеся в ней фотографии?<br/>';
      echo '<form action="photos.php?act=delete_album&amp;id='.$id.'" method="post">';
      echo '<input type="submit" name="submit" class="btn" value="Да, удалить" class="submit white"/>';
      echo '</form></div>';
      }
echo '</div>';
include 'foot.php';
} else {
header ("Location: photos.php");
}
} else {
header ("Location: index.php");
}
break;

//Просмотр фото ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
case 'photo':
//Если id получен 
if(isset($_GET['id'])){
$id=num($_GET['id']);
$req = mysql_query("SELECT * FROM `photos_photo` WHERE `id` = '$id' LIMIT 1");
   if (mysql_num_rows($req)) {
   $photo = mysql_fetch_assoc($req);
   }
}
//Если существует
if ($photo){
$arhiv =  intval(($photo['user']/1000)+1);

//Запись комментария, если сообщение получено
if($u['id'] and $_POST['message']){
$message = check(substr($_POST['message'], 0, 500));
   //Проверяем на флуд
   $flood = mysql_query("SELECT `time` FROM `photos_comm` WHERE `user` = '".$u['id']."' AND `time` > '" . (time() - 3) . "'");
   if (mysql_num_rows($flood) > 0) {
   header ("Location: photos.php?act=photo&id=".$photo['id']."");
   exit;
   }
   // Проверка на одинаковые сообщения
   $req = mysql_query("SELECT * FROM `photos_comm` WHERE `user` = '".$u['id']."' AND `photo` = '".$photo['id']."' ORDER BY `time` DESC");
   $res = mysql_fetch_array($req);
   if ($res['message'] == $message) {
   header ("Location: photos.php?act=photo&id=".$photo['id']."");
   exit;
   }
// Вставляем сообщение в базу
mysql_query("INSERT INTO `photos_comm` SET
`user` = '".$u['id']."',
`message` = '$message',
`time` = '".time()."',
`photo` = '".$photo['id']."'
");

//Записываем в журнал
      if($photo['user'] != $u['id']){
      if($u['sex'] == 'm'){
      $action[0] = 'Оставил';
      $action[1] = '';
      } else {
      $action[0] = 'Оставила';
      $action[1] = 'ей';
      }
      $text = $action[0].' комментарий к вашей <a href = "photos.php?act=photo&id='.$photo['id'].'">фотографии</a>.';
      mysql_query("INSERT INTO `jurnal` SET
      `user` = '".$photo['user']."',
      `outuser` = '".$u['id']."',
      `text` = '$text',
      `time` = '".time()."',
      `new` = '1'
      ");
	  }

header ("Location: photos.php?act=photo&id=".$photo['id']."");
}

$name = checkout($photo['name']);
$descr = checkout($photo['descr']);
$title = $title.' | Фотографии';
include 'head.php';
echo '<div class="title"><img src= "img/photos.gif"> '.$name.'</div>';
echo '<div class="subtitle">';
echo '<a href = "photos.php?id='.$album['user'].'">К альбомам</a>';
$album = mysql_fetch_assoc(mysql_query("SELECT * FROM `photos_albums` WHERE `id` = '".$photo['album']."' LIMIT 1"));
$name_album = checkout($album['name']);
echo ' | <a href = "photos.php?act=album&id='.$album['id'].'">'.$name_album.'</a>';
echo '</div>';
echo '<div class="main_menu">';

//Рейтинг (Мне нрав)
if($_GET['like'] && isset($u['id'])){
$req = mysql_query("SELECT * FROM `photos_like` WHERE `user` = '".$u['id']."' AND `photo` = '".$photo['id']."' LIMIT 1");
   if (!mysql_num_rows($req)) {
   $photo['rating']++;
   mysql_query("INSERT INTO `photos_like` SET
   `user` = '".$u['id']."',
   `time` = '".time()."',
   `photo` = '".$photo['id']."'
   ");
   mysql_query("UPDATE `photos_photo` SET
   `rating` = '".$photo['rating']."'
   WHERE `id` = '".$photo['id']."'
   ");
      //Записываем в журнал
      if($photo['user'] != $u['id']){
      if($u['sex'] == 'm'){
      $action[0] = 'Отметил';
      $action[1] = 'ему';
      } else {
      $action[0] = 'Отметила';
      $action[1] = 'ей';
      }
      $text = $action[0].' что '.$action[1].' понравилась ваша <a href = "photos.php?act=photo&id='.$photo['id'].'">фотография</a>.';
      mysql_query("INSERT INTO `jurnal` SET
      `user` = '".$photo['user']."',
      `outuser` = '".$u['id']."',
      `text` = '$text',
      `time` = '".time()."',
      `new` = '1'
      ");
	  }
   }
}

echo '<a href = "base/'.$arhiv.'/'.$photo['user'].'/photos/'.$photo['id'].'.jpg"><img src = "base/'.$arhiv.'/'.$photo['user'].'/photos_small/'.$photo['id'].'.jpg" height = "100" ></a><br/>';

echo '<b>'.$name.'</b> ( '.vremya($photo['time']).' )<br/>';

smiles($descr);

echo '<hr>';
$req = mysql_query("SELECT * FROM `photos_like` WHERE `user` = '".$u['id']."' AND `photo` = '".$photo['id']."' LIMIT 1");
   if (!mysql_num_rows($req)) $like = '<a href = "photos.php?act=photo&id='.$photo['id'].'&like=1">Мне нрав</a> ('.$photo['rating'].')'; else $like = $photo['rating'];
echo '<img src = "img/save.gif"> <a href = "base/'.$arhiv.'/'.$photo['user'].'/photos/'.$photo['id'].'.jpg">Скачать</a> | <img src = "img/like.png"> '.$like.'';
echo '<hr>';
if ($photo['user'] == $u['id']) { 
echo '<img src = "img/edit.gif"> <a href = "photos.php?act=edit_photo&id='.$photo['id'].'">Редактировать</a></a><br/>';
echo '<img src = "img/delete.gif"> <a href = "photos.php?act=delete_photo&id='.$photo['id'].'">Удалить</a><hr>'; 
}

//Блок ввода сообщения
if ($u['id']) {
$o = abs(intval($_GET['o']));
$user = mysql_fetch_assoc(mysql_query("SELECT `login` FROM `users` WHERE `id` = '".$o."'"));
if($user['login']) $otv = $user['login'].', ';
echo '
Ваш комментарий: <form action="photos.php?act=photo&id='.$photo['id'].'" method="post">';
echo '<textarea cols="20" rows="2" name="message">';
echo $otv;
echo '</textarea><br/>';
echo "<input type='submit' title='Нажмите для отправки' name='submit' class='btn' value='Написать'  class='submit white'/>
</form><hr>";
} else {
echo '<div class="act">Для возможности комментировать пройдите <a href = "index.php"><b>авторизацию</b></a> или 
<a href = "reg.php"><b>зарегистрируйтесь</b></a>!:)</div>';
}

//Удаление
if($u['admin'] == 1 || $u['admin'] == 2 || $u['id'] == $photo['user']){
   if($_GET['del']){
   $del = num($_GET['del']);
   $commcheck = mysql_num_rows(mysql_query("SELECT * FROM `photos_comm` WHERE `id` = '$del' LIMIT 1"));
   if ($commcheck) {
   mysql_query("DELETE FROM `photos_comm` WHERE `id` = '$del'");
   echo '<div class = "action">Комментарий удален!</div><hr>';
   }
   }
}

$all = mysql_result(mysql_query("SELECT COUNT(*) FROM `photos_comm` WHERE `photo` = '".$photo['id']."'"), 0);
if($all > 0){
$total = intval(($all - 1) / 15) + 1;
$page = num($_GET['page']);
if(empty($page) or $page < 0) $page = 1; 
if($page > $total) $page = $total;
$start = $page * 15 - 15;
$result = mysql_query("SELECT * FROM `photos_comm` WHERE `photo` = '".$photo['id']."' ORDER BY `time` DESC LIMIT $start, 15");
   while($comm = mysql_fetch_assoc($result)){
   $user = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$comm["user"]."'"));
   $message = checkout($comm['message']);	  
	  //Вывод
	  echo $i % 2 ? '<div class="block2">' : '<div class="block1">';
	  echo '<table>
  <tr>
    <td>';
	ava($user['id'],50);
	echo '</td>
	<td VALIGN=top>';
	echo ''.ico($user['sex'],$user['admin']).' <a href = "page.php?id='.$user['id'].'">'.$user['login'].'</a> '.online($user['online']).' ('.vremya($comm['time']).')'; if($u['admin'] == 1 || $u['admin'] == 2 || $u['id'] == $photo['user']){ echo '  <a href = "photos.php?act=photo&id='.$photo['id'].'&del='.$comm['id'].'"><img src = "img/delete.gif"></a>'; }
	echo '<br/><font color = "#000">';
	  smiles($message);
	  echo '</font><br/>';
	echo '</td>
  </tr>
</table>';
echo '<hr>';
	  echo '</div>';
	  	  $i++;
   }  
   navigation($page, $total,'photos.php?act=photo&id='.$photo['id'].'&');
}else{
echo 'Комментариев еще нет!';
}
echo '</div>';
include 'foot.php';
} else {
header ("Location: photos.php");
}
break;

//Редактирование фото ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
case 'edit_photo':
if($u['id']){
if(isset($_GET['id'])){
$id=num($_GET['id']);
$req = mysql_query("SELECT * FROM `photos_photo` WHERE `id` = '$id' AND `user` = '".$u['id']."' LIMIT 1");
   if (mysql_num_rows($req)) {
   $photo = mysql_fetch_assoc($req);
   }
}
if($photo){
$title = $title.' | Фотографии';
include 'head.php';
echo '<div class="title"><img src= "img/photos.gif"> Фотографии | Редактирование фото</div>';
echo '<div class="subtitle">';
echo '<a href = "photos.php">К альбомам</a>';
$name = checkout($photo['name']);
echo ' | <a href = "photos.php?act=photo&id='.$photo['id'].'">К фото</a>';
echo '</div>';
echo '<div class="main_menu">';
      if (isset($_POST['submit']) and isset($_POST['name'])) {
      $name = check(substr($_POST['name'], 0, 100));
	  $descr = check(substr($_POST['descr'], 0, 250));
	  $top = num($_POST['top']);
      mysql_query("UPDATE `photos_photo` SET
      `name` = '$name',
	  `descr` = '$descr',
	  `top` = '$top'
      WHERE `id` = '$id'
      ");
      echo '<div class = "action">Изменения сохранены!</div>';
	  $photo = mysql_fetch_assoc(mysql_query("SELECT * FROM `photos_photo` WHERE `id` = '$id' LIMIT 1"));
      }
      $name = checkout($photo['name']);
	  $descr = checkout($photo['descr']);
	  $top = checkout($photo['top']);
	   echo '<form action=photos.php?act=edit_photo&id='.$id.' method=post>';
      echo 'Название: <br/><textarea cols="20" rows="1" name="name">'.$name.'</textarea><br/>';
      echo 'Описание: <br/><textarea cols="20" rows="2" name="descr">'.$descr.'</textarea><br/>';
      echo '<input name="top" type="checkbox" value="1" ' . ($photo["top"] == 1 ? ' checked' : '') . '>&nbsp;Учавствовать в ТОПе<br/>';
      echo '<input type=submit name =submit class= btn value=Сохранить class=submit white/ ></form>';
      echo '</form>';
echo '</div>';
include 'foot.php';
} else {
header ("Location: photos.php");
}
} else {
header ("Location: index.php");
}
break;

//Удаление фото ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
case 'delete_photo':
if($u['id']){
if(isset($_GET['id'])){
$id=num($_GET['id']);
$req = mysql_query("SELECT * FROM `photos_photo` WHERE `id` = '$id' AND `user` = '".$u['id']."' LIMIT 1");
   if (mysql_num_rows($req)) {
   $photo = mysql_fetch_assoc($req);
   }
}
if($photo){
$title = $title.' | Фотографии';
include 'head.php';
echo '<div class="title"><img src= "img/photos.gif"> Фотографии | Удаление фото</div>';
echo '<div class="subtitle">';
echo '<a href = "photos.php">К альбомам</a>';
$name = checkout($photo['name']);
echo ' | <a href = "photos.php?act=photo&id='.$photo['id'].'">К фото</a>';
echo '</div>';
echo '<div class="main_menu">';
      if (isset($_POST['submit'])) {
	  $arhiv =  intval(($photo['user']/1000)+1);
      unlink('base/'.$arhiv.'/'.$photo['user'].'/photos_small/'.$photo['id'].'.jpg');
	  unlink('base/'.$arhiv.'/'.$photo['user'].'/photos/'.$photo['id'].'.jpg');
	  mysql_query("DELETE FROM `photos_photo` WHERE `id` = '".$photo['id']."'");
	  mysql_query("DELETE FROM `photos_comm` WHERE `photo` = '".$photo['id']."'");
	  mysql_query("DELETE FROM `photos_ocenka` WHERE `photo` = '".$photo['id']."'");  
      echo '<div class = "action">Фото успешно удалено!</div>';
      } else {
	  echo 'Вы уверены, что хотите удалить фото <a href = "photos.php?act=photo&id='.$id.'">'.$name.'</a>?<br/>';
      echo '<form action="photos.php?act=delete_photo&amp;id='.$id.'" method="post">';
      echo '<input type="submit" name="submit" class="btn" value="Да, удалить" class="submit white"/>';
      echo '</form></div>';
      }
echo '</div>';
include 'foot.php';
} else {
header ("Location: photos.php");
}
} else {
header ("Location: index.php");
}
break;

//Список альбомов ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
default:

//Если id получен 
if(isset($_GET['id'])){
$id=num($_GET['id']);
$req = mysql_query("SELECT * FROM `users` WHERE `id` = '$id' LIMIT 1");
   if (mysql_num_rows($req)) {
   $user = mysql_fetch_assoc($req);
   } else {
   $id = $u['id'];
   }
} else {
$id = $u['id'];
}

if($id == 0){
header ("Location: index.php");
exit;
}

if($id == $u['id']) $zag = 'Мои фотографии';
else $zag = 'Фотографии <a href = "page.php?id='.$user['id'].'">'.$user['login'].'</a>';

$title = $title.' | Фотографии';
include 'head.php';

//Подзаголовок
if($u['id'])
echo '<div class="title"><img src= "img/photos.gif"> '.$zag.'</div>';
else
echo '<div class="title"><img src= "img/photos.gif"> '.$zag.'</div>';

if($id == $u['id']) echo '<div class="subtitle"><a href = "photos.php?act=add_album">Создать альбом</a></div>';

echo '<div class="main_menu">';
$all = mysql_result(mysql_query("SELECT COUNT(*) FROM `photos_albums` WHERE `user` = '$id'"), 0);
if($all > 0){
$total = intval(($all - 1) / 10) + 1;
   $page = intval($_GET['page']);
   if(empty($page) or $page < 0) $page = 1; 
   if($page > $total) $page = $total;
   $start = $page * 10 - 10;
   $result = mysql_query("SELECT * FROM `photos_albums` WHERE `user` = '$id' ORDER BY `time` DESC LIMIT $start, 10");
   while($album = mysql_fetch_assoc($result)){
	  //Вывод
	  echo $i % 2 ? '<div class="block2">' : '<div class="block1">';
      $name = checkout($album['name']);
	  //$descr = descr($album['descr']);
	  $count = mysql_result(mysql_query("SELECT COUNT(*) FROM `photos_photo` WHERE `album` = '".$album['id']."'"), 0);
      echo '<img src = "img/dir.gif"> <a href = "photos.php?act=album&id='.$album['id'].'">'.$name.'</a> ('.$count.') '; if ($u['admin'] == 1 || $album['user'] == $u['id']) { echo '<a href = "photos.php?act=edit_album&id='.$album['id'].'"><img src = "img/edit.gif"></a> | <a href = "photos.php?act=delete_album&id='.$album['id'].'"><img src = "img/delete.gif"></a>'; }
      echo '<hr>';
      echo '</div>';
	  $i++;
   }  
   navigation($page, $total,'photos.php?id='.$id.'&');
}else{
echo 'Альбомов еще нет!';
}
echo '</div>';
include 'foot.php';
break;
	  
}

?>

